module.exports = {
    env: {
        browser: true,
        es2021: true,
    },
    extends: [
        'airbnb',
        'airbnb/hooks',
        'airbnb-typescript',
        'plugin:react/recommended',
        'plugin:@typescript-eslint/recommended',
        'plugin:prettier/recommended',
    ],
    overrides: [],
    parser: '@typescript-eslint/parser',
    parserOptions: {
        ecmaVersion: 'latest',
        sourceType: 'module',
        project: './tsconfig.json',
    },
    plugins: ['react', '@typescript-eslint', 'prettier'],
    rules: {
        // quotes: 'off',
        // indent: 0,
        // '@typescript-eslint/quotes': 'off',
        // 'comma-dangle': 'off',
        // '@typescript-eslint/comma-dangle': 'off',
        'react/react-in-jsx-scope': 0,
        // '@typescript-eslint/indent': 0,
        'react/function-component-definition': 0,
        'import/prefer-default-export': 0,
        'react/jsx-props-no-spreading': 0,
        '@typescript-eslint/no-use-before-define': 0,
        'jsx-a11y/interactive-supports-focus': 0,
        'jsx-a11y/click-events-have-key-events': 0,
        'jsx-a11y/no-static-element-interactions': 0,
        'prettier/prettier': ['error', { useTabs: false }],
    },
};
